Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000790 [1003.1(2013)/Issue7+TC1] System Interfaces Editorial Error 2013-11-11 21:43 2014-01-16 16:23
Reporter nsz View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Resolved  
Name Szabolcs Nagy
Organization musl libc
User Reference
Section xsh 2.2.2
Page Number -
Line Number -
Interp Status ---
Final Accepted Text Note: 0002100
Summary 0000790: identifiers reserved for linkage by iso c
Description at the end of the xsh 2.2.2 name space section
identifiers are listed that are always reserved
for extern linkage by iso c

the following identifiers are incorrect:
cexmp1 (typo)
cexmp1f
cexmp1l
ltime (?)
isblank (covered by is[a-z]*, other is* are not listed)
iswblank
strtof (covered by str[a-z]*, other str* are not listed)
strtoimax
strtold
strtoll
strtoull
strtoumax
strxfrm
wcstof (covered by wcs[a-z]*, other wcs* are not listed)
wcstoimax
wcstold
wcstoll
wcstoull
wcstoumax
wcwidth (XSI)

the following identifiers are omitted:
btowc
cexpm1
cexpm1f
cexpm1l
ctanh
ctanhf
ctanhl
ctime
erf
erfc
hypot
lgamma
nextafter
remainder
snprintf
vsnprintf
va_copy (c allows it to be a function)

the following identifiers are listed twice:
acosl
asinl
atanf
atanh
atanl
catanh
catanhf
catanhl
ceilf
ceill
ldiv

Desired Action fix the table to match iso c
Tags tc2-2008
Attached Files

- Relationships

-  Notes
(0001980)
nsz (reporter)
2013-11-11 22:02

one more omission: lldiv
(0001981)
nsz (reporter)
2013-11-11 23:11

one more omission: math_errhandling
(0002100)
geoffclare (manager)
2014-01-10 16:30
edited on: 2014-01-13 10:21

I believe the following is the full set of changes needed to address
the problems reported by the submitter and some additional problems
noticed in the same section (2.2.2).

On page 479 line 16236 change "cexmp1" to "cexpm1".
On page 479 line 16237 change "cexmp1f" to "cexpm1f".
On page 479 line 16238 change "cexmp1l" to "cexpm1l".
On page 479 line 16250 change "ltime" to "ctime".

On page 479 line 16242-3 delete "isblank" and "iswblank".
On page 480 line 16261-6 delete "strtof", "strtoimax", "strtold",
"strtoll", "strtoull", and "strtoumax".
On page 480 line 16270-5 delete "wcstof", "wcstoimax", "wcstold",
"wcstoll", "wcstoull", and "wcstoumax".
On page 480 line 16280 delete "wcwidth".
On page 480 line 16281 delete "wmem[a-z]*".

On page 479-480 add the following to the table in the correct
alphabetical position:
    btowc
    ctanh
    ctanhf
    ctanhl
    erf
    erfc
    hypot
    lgamma
    lldiv
    math_errhandling
    nextafter
    remainder
    snprintf
    va_copy
    vsnprintf
    wmemchr
    wmemcmp
    wmemcpy
    wmemmove
    wmemset

On page 479 remove one of the two appearances of each of the following
from the table:
    acosl
    asinl
    atanf
    atanh
    atanl
    catanh
    catanhf
    catanhl
    ceilf
    ceill
    ldiv

On page 480 line 16286 add a new paragraph:

    Note: The notation [a-z] indicates any lowercase letter in the
    portable character set. The notation * indicates any sequence
    of zero or more characters that are valid in identifiers with
    external linkage.

On page 475 line 16105 remove the following from the Complete Name
column for <stdint.h> (they are redundant as _t is a reserved suffix):
    int[0-9a-z_]*_t,
    uint[0-9a-z_]*_t

On page 476 line 16144 insert:

    The notation [0-9] indicates any digit.

before:

    The notation [A-Z] indicates any uppercase letter in the portable
    character set.

On page 477 line 16177 change:

    Note: The notation [0-9] indicates any digit. The notation [A-Z]
    indicates any uppercase letter in the portable character set. The
    notation [0-9a-z_] indicates any digit, any lowercase letter in the
    portable character set, or <underscore>.

to:

    Note: The notation [0-9] indicates any digit. The notation [A-Z]
    indicates any uppercase letter in the portable character set. The
    notation [Xa-z] indicates the character 'X' or any lowercase
    letter in the portable character set. The notation [0-9A-Za-z_]*
    indicates zero or more occurrences of any of the following: a digit,
    an uppercase or lowercase letter in the portable character set, or
    an <underscore>.


- Issue History
Date Modified Username Field Change
2013-11-11 21:43 nsz New Issue
2013-11-11 21:43 nsz Name => Szabolcs Nagy
2013-11-11 21:43 nsz Organization => musl libc
2013-11-11 21:43 nsz Section => xsh 2.2.2
2013-11-11 21:43 nsz Page Number => -
2013-11-11 21:43 nsz Line Number => -
2013-11-11 22:02 nsz Note Added: 0001980
2013-11-11 23:11 nsz Note Added: 0001981
2014-01-10 16:30 geoffclare Note Added: 0002100
2014-01-10 16:39 geoffclare Note Edited: 0002100
2014-01-10 16:40 geoffclare Note Edited: 0002100
2014-01-13 10:21 geoffclare Note Edited: 0002100
2014-01-16 16:23 geoffclare Interp Status => ---
2014-01-16 16:23 geoffclare Final Accepted Text => Note: 0002100
2014-01-16 16:23 geoffclare Status New => Resolved
2014-01-16 16:23 geoffclare Resolution Open => Accepted As Marked
2014-01-16 16:23 geoffclare Tag Attached: tc2-2008


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker